petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatQRFactorNumeric

Performs numeric QR factorization of a matrix. Call this routine after first calling MatQRFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatQRFactorNumeric(Mat fact,Mat mat,const MatFactorInfo *info)

Collective on Mat

### Input Parameters

| fact | - the factor matrix obtained with MatGetFactor()
| mat | - the matrix
| info | - options for factorization

### Notes

See MatQRFactor() for in-place factorization.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatQRFactorSymbolic(), MatLUFactor()

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages